com.amazonaws.services.cloudfront.model

## Class LambdaFunctionAssociations

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.LambdaFunctionAssociations

All Implemented Interfaces:
  Serializable, Cloneable

    public class LambdaFunctionAssociations
    extends Object
    implements Serializable, Cloneable

A complex type that specifies a list of Lambda functions associations for a cache behavior.

If you want to invoke one or more Lambda functions triggered by requests that match the `PathPattern` of the cache behavior, specify the applicable values for `Quantity` and `Items`. Note that there can be up to 4 `LambdaFunctionAssociation` items in this list (one for each possible value of `EventType`) and each `EventType` can be associated with the Lambda function only once.

If you don't want to invoke any Lambda functions for the requests that match `PathPattern`, specify `0` for `Quantity` and omit `Items`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LambdaFunctionAssociations()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LambdaFunctionAssociations` `clone()`
`boolean` `equals(Object obj)`
`List<LambdaFunctionAssociation>` `getItems()` Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior.
`Integer` `getQuantity()` The number of Lambda function associations for this cache behavior.
`int` `hashCode()`
`void` `setItems(Collection<LambdaFunctionAssociation> items)` Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior.
`void` `setQuantity(Integer quantity)` The number of Lambda function associations for this cache behavior.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`LambdaFunctionAssociations` `withItems(Collection<LambdaFunctionAssociation> items)` Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior.
`LambdaFunctionAssociations` `withItems(LambdaFunctionAssociation... items)` Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior.
`LambdaFunctionAssociations` `withQuantity(Integer quantity)` The number of Lambda function associations for this cache behavior.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaFunctionAssociations

    public LambdaFunctionAssociations()

### Method Detail

#### setQuantity

    public void setQuantity(Integer quantity)

The number of Lambda function associations for this cache behavior.

Parameters:
  `quantity` - The number of Lambda function associations for this cache behavior.

#### getQuantity

    public Integer getQuantity()

The number of Lambda function associations for this cache behavior.

Returns:
  The number of Lambda function associations for this cache behavior.

#### withQuantity

    public LambdaFunctionAssociations withQuantity(Integer quantity)

The number of Lambda function associations for this cache behavior.

Parameters:
  `quantity` - The number of Lambda function associations for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<LambdaFunctionAssociation> getItems()

Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

Returns:
  Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

#### setItems

    public void setItems(Collection<LambdaFunctionAssociation> items)

Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

Parameters:
  `items` - Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

#### withItems

    public LambdaFunctionAssociations withItems(LambdaFunctionAssociation... items)

Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public LambdaFunctionAssociations withItems(Collection<LambdaFunctionAssociation> items)

Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

Parameters:
  `items` - Optional: A complex type that contains `LambdaFunctionAssociation` items for this cache behavior. If `Quantity` is `0`, you can omit `Items`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public LambdaFunctionAssociations clone()

Overrides:
  `clone` in class `Object`